> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Oidc Auth



## OpenAPI

````yaml /openapi.json post /api/oidc/auth
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /api/oidc/auth:
    post:
      tags:
        - cyberdriver-auth
      summary: Oidc Auth
      operationId: oidc_auth_api_oidc_auth_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OidcAuthRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OidcAuthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OidcAuthRequest:
      properties:
        op:
          type: string
          title: Op
        id:
          type: string
          title: Id
        uuid:
          type: string
          title: Uuid
        clientSecret:
          type: string
          title: Clientsecret
          default: ''
        deviceInfo:
          additionalProperties: true
          type: object
          title: Deviceinfo
      type: object
      required:
        - op
        - id
        - uuid
      title: OidcAuthRequest
    OidcAuthResponse:
      properties:
        code:
          type: string
          title: Code
        url:
          type: string
          title: Url
        userCode:
          type: string
          title: Usercode
      type: object
      required:
        - code
        - url
        - userCode
      title: OidcAuthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````